# Milestones

## 1. History

OpenMLDB originated as an important module of the commercial AI platform Sage from [4Paradigm](https://www.4paradigm.com), an industry-leading artificial intelligence platform and service provider. The AI platform Sage covers the complete life cycle of MLOps, including data governance, feature engineering, model training, inference, and model management. The product has been deployed in hundreds of enterprise-grade scenarios.

In 2021, the development team abstracted, enhanced, and added more community-friendly features to the core module of data governance and feature engineering in the commercial products, and finally made it publicly available as an open-source project OpenMLDB, which provides a feature platform for machine learning applications. Today, OpenMLDB grows based on the open source and open community, and hopes to help more enterprises complete the AI transformation with low cost and high quality.

## 2. Milestones

### 2017.2 - 2021.5: The Commercial Product MLDB

- 2017.2: The first code commit
- 2017.9: The first financial industry customer, China Guangfa Bank
- 2019.8: The first retail industry customer, Yum China
- 2020.12: The number of deployed scenarios exceeds 100

### 2021.6 - Today: The Open-Source Project OpenMLDB

- 2021.6: Machine learning database OpenMLDB officially announced open source, providing a production-ready feature platform for machine learning
- 2021.7: v0.2.0 released, supporting RestAPI access, code style and comments improved
- 2021.8: OpenMLDB-based optimization innovation paper is published at VLDB 2021, the top international academic conference on databases
- 2021.8: Recognized by Gitee and awarded the title of GVP (Gitee Most Valuable Project)
- 2021.9: The first community-based enterprise user, [Akulaku](https://www.akulaku.com/)
- 2021.9: Won the "Open Source Community and Open Source Project" award from the Academy of Information and Communications Technology
- 2021.11: v0.3.0 released, supporting standalone mode for rapid deployment
- 2021.12: OpenMLDB Contributor Program launched
- 2021.12: Host the first Feature Store Meetup in China
- 2022.1: v0.4.0 released, enhancing the SQL-centric development experience, introducing the new online monitoring module
- 2022.1: OpenMLDB first community meeting
- 2022.5: v0.5.0 released, supporting long window and persistent storage engine, registering udf from external dynamic library

## 3. Roadmap

In the future, we will aggressively embrace the technologies that can effectively reduce the total cost of adopting machine learning, such as cloud-native and AutoML. 

For the roadmap of recent releases, please refer to our public page of [Roadmap](https://github.com/4paradigm/OpenMLDB/projects/10).
